List incoming wires
curl --request GET \
--url https://api-sandbox.synctera.com/v0/wires/incoming \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/wires/incoming"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/wires/incoming', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/wires/incoming",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/wires/incoming"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.synctera.com/v0/wires/incoming")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/wires/incoming")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"wires": [
{
"amount": 10000,
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_return": true,
"receiver": {
"account_number": 192178512,
"address": {
"address_line_1": "321 Main St",
"address_line_2": "Apt 34",
"city": "Chicago",
"country_code": "US",
"postal_code": "60622",
"state": "IL"
},
"address_lines": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>"
},
"alternate_identifier": 123456789,
"bank_name": "Synctera Bank",
"identifier_type": "Demand Deposit Account Number",
"name": "John Smith",
"routing_number": 272479663
},
"receiving_account_number": 1961234745,
"sender": {
"account_number": 192178512,
"address": {
"address_line_1": "321 Main St",
"address_line_2": "Apt 34",
"city": "Chicago",
"country_code": "US",
"postal_code": "60622",
"state": "IL"
},
"address_lines": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>"
},
"alternate_identifier": 123456789,
"bank_name": "Synctera Bank",
"identifier_type": "Demand Deposit Account Number",
"name": "John Smith",
"routing_number": 272479663
},
"sender_reference_id": "9F564A6124E65",
"status": "READY",
"tenant": "abcdef_ghijkl",
"bank_message": "<string>",
"currency": "USD",
"customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"decline_reason": "<string>",
"effective_date": "2022-03-18",
"end_to_end_identification": "<string>",
"extracted_account_number": "1961234745",
"input_message_accountability_data": "10220318BANK0001123456",
"instruction_identification": "<string>",
"network": "fedwire",
"originating_account_number": 1961234745,
"receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"recipient_message": "<string>",
"return_data": {
"previous_message_id": "<string>",
"original_end_to_end_identification": "<string>",
"original_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_instruction_identification": "<string>",
"original_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_transaction_identification": "<string>",
"original_uetr": "<string>",
"reason": "<string>",
"reason_code": "NARR"
},
"return_reason": "<string>",
"settlement_date": "2022-03-18",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_identification": "<string>",
"type_subtype": "BASIC_FUNDS_TRANSFER",
"uetr": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Incoming Wires
List incoming wires
Get paginated list of incoming wires
GET
/
wires
/
incoming
List incoming wires
curl --request GET \
--url https://api-sandbox.synctera.com/v0/wires/incoming \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/wires/incoming"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/wires/incoming', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/wires/incoming",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/wires/incoming"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.synctera.com/v0/wires/incoming")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/wires/incoming")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"wires": [
{
"amount": 10000,
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_return": true,
"receiver": {
"account_number": 192178512,
"address": {
"address_line_1": "321 Main St",
"address_line_2": "Apt 34",
"city": "Chicago",
"country_code": "US",
"postal_code": "60622",
"state": "IL"
},
"address_lines": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>"
},
"alternate_identifier": 123456789,
"bank_name": "Synctera Bank",
"identifier_type": "Demand Deposit Account Number",
"name": "John Smith",
"routing_number": 272479663
},
"receiving_account_number": 1961234745,
"sender": {
"account_number": 192178512,
"address": {
"address_line_1": "321 Main St",
"address_line_2": "Apt 34",
"city": "Chicago",
"country_code": "US",
"postal_code": "60622",
"state": "IL"
},
"address_lines": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_line_3": "<string>"
},
"alternate_identifier": 123456789,
"bank_name": "Synctera Bank",
"identifier_type": "Demand Deposit Account Number",
"name": "John Smith",
"routing_number": 272479663
},
"sender_reference_id": "9F564A6124E65",
"status": "READY",
"tenant": "abcdef_ghijkl",
"bank_message": "<string>",
"currency": "USD",
"customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"decline_reason": "<string>",
"effective_date": "2022-03-18",
"end_to_end_identification": "<string>",
"extracted_account_number": "1961234745",
"input_message_accountability_data": "10220318BANK0001123456",
"instruction_identification": "<string>",
"network": "fedwire",
"originating_account_number": 1961234745,
"receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"recipient_message": "<string>",
"return_data": {
"previous_message_id": "<string>",
"original_end_to_end_identification": "<string>",
"original_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_instruction_identification": "<string>",
"original_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_transaction_identification": "<string>",
"original_uetr": "<string>",
"reason": "<string>",
"reason_code": "NARR"
},
"return_reason": "<string>",
"settlement_date": "2022-03-18",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_identification": "<string>",
"type_subtype": "BASIC_FUNDS_TRANSFER",
"uetr": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Query Parameters
Was this page helpful?

